package co.pixelbeard.theanfieldwrap.data;

import com.google.gson.annotations.SerializedName;

import org.parceler.Parcel;

@Parcel(Parcel.Serialization.BEAN)
public class Video {

    @SerializedName("post_id")
    String postId;
    @SerializedName("title")
    String title;
    @SerializedName("content")
    String content;
    @SerializedName("created_date")
    String createdDate;
    @SerializedName("cost")
    int cost;
    @SerializedName("video_url")
    String videoUrl;
    @SerializedName("thumbnail_image")
    String thumbnail;
    @SerializedName("medium_image")
    String mediumImage;
    @SerializedName("large_image")
    String largeImage;
    @SerializedName("purchased")
    boolean purchased;
    @SerializedName("type")
    String type;

    public Video() {
    }

    public Video(String postId, String title, String content, String createdDate, int cost, String videoUrl,
                 String thumbnail, String mediumImage, String largeImage, boolean purchased, String type) {
        this.postId = postId;
        this.title = title;
        this.content = content;
        this.createdDate = createdDate;
        this.cost = cost;
        this.videoUrl = videoUrl;
        this.thumbnail = thumbnail;
        this.mediumImage = mediumImage;
        this.largeImage = largeImage;
        this.purchased = purchased;
        this.type = type;
    }

    public String getPostId() {
        return postId;
    }

    public void setPostId(String postId) {
        this.postId = postId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(String createdDate) {
        this.createdDate = createdDate;
    }

    public int getCost() {
        return cost;
    }

    public void setCost(int cost) {
        this.cost = cost;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public String getMediumImage() {
        return mediumImage;
    }

    public void setMediumImage(String mediumImage) {
        this.mediumImage = mediumImage;
    }

    public String getLargeImage() {
        return largeImage;
    }

    public void setLargeImage(String largeImage) {
        this.largeImage = largeImage;
    }

    public boolean isPurchased() {
        return purchased;
    }

    public void setPurchased(boolean purchased) {
        this.purchased = purchased;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
